org.apache.commons.math3.optimization

## Interface BaseMultivariateVectorOptimizer<FUNC extends MultivariateVectorFunction>

- Type Parameters:
    `FUNC` - Type of the objective function to be optimized.
  All Superinterfaces:
    BaseOptimizer<PointVectorValuePair>
  All Known Subinterfaces:
    DifferentiableMultivariateVectorOptimizer, MultivariateDifferentiableVectorOptimizer
  All Known Implementing Classes:
    AbstractLeastSquaresOptimizer, BaseAbstractMultivariateVectorOptimizer, BaseMultivariateVectorMultiStartOptimizer, DifferentiableMultivariateVectorMultiStartOptimizer, GaussNewtonOptimizer, LevenbergMarquardtOptimizer, MultivariateDifferentiableVectorMultiStartOptimizer

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public interface BaseMultivariateVectorOptimizer<FUNC extends MultivariateVectorFunction>
      extends BaseOptimizer<PointVectorValuePair>

  This interface is mainly intended to enforce the internal coherence of Commons-Math. Users of the API are advised to base their code on the following interfaces:
  - `DifferentiableMultivariateVectorOptimizer`
  Since:
    3.0
  Version:
    $Id: BaseMultivariateVectorOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PointVectorValuePair` | `optimize(int maxEval, FUNC f, double[] target, double[] weight, double[] startPoint)` Deprecated. As of 3.1. In 4.0, this will be replaced by the declaration corresponding to this `method`.

    - ### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

      `getConvergenceChecker, getEvaluations, getMaxEvaluations`

- - ### Method Detail

    - #### optimize

          @Deprecated
          PointVectorValuePair optimize(int maxEval,
                                                 FUNC f,
                                                 double[] target,
                                                 double[] weight,
                                                 double[] startPoint)

      Deprecated. As of 3.1. In 4.0, this will be replaced by the declaration corresponding to this `method`.
      Optimize an objective function. Optimization is considered to be a weighted least-squares minimization. The cost function to be minimized is `∑weighti(objectivei - targeti)2`
      Parameters:
        `f` - Objective function.
        `target` - Target value for the objective functions at optimum.
        `weight` - Weights for the least squares cost computation.
        `startPoint` - Start point for optimization.
        `maxEval` - Maximum number of function evaluations.
      Returns:
        the point/value pair giving the optimal value for objective function.
      Throws:
        `DimensionMismatchException` - if the start point dimension is wrong.
        `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
        `NullArgumentException` - if any argument is `null`.

Copyright (c) 2003-2013 Apache Software Foundation